import { BaseLogger } from '@credo-ts/core';
import { RemoteLoggerOptions } from './transports';
export declare enum RemoteLoggerEventTypes {
    ENABLE_REMOTE_LOGGING = "RemoteLogging.Enable"
}
export declare class RemoteLogger extends BaseLogger {
    private _remoteLoggingEnabled;
    private _sessionId;
    private _autoDisableRemoteLoggingIntervalInMinutes;
    private lokiUrl;
    private lokiLabels;
    private remoteLoggingAutoDisableTimer;
    private eventListener;
    private log;
    private config;
    constructor(options: RemoteLoggerOptions);
    get sessionId(): number;
    set sessionId(value: number);
    get autoDisableRemoteLoggingIntervalInMinutes(): number;
    get remoteLoggingEnabled(): boolean;
    set remoteLoggingEnabled(value: boolean);
    private configureLogger;
    startEventListeners(): void;
    stopEventListeners(): void;
    overrideCurrentAutoDisableExpiration(expirationInMinutes: number): void;
    test(message: string, data?: object | undefined): void;
    trace(message: string, data?: object | undefined): void;
    debug(message: string, data?: object | undefined): void;
    info(message: string, data?: object | undefined): void;
    warn(message: string, data?: object | undefined): void;
    error(message: string, data?: object | undefined): void;
    fatal(message: string, data?: object | undefined): void;
}
